org.apache.lucene.index

## Class TwoPhaseCommitTool.CommitFailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.index.TwoPhaseCommitTool.CommitFailException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TwoPhaseCommitTool

      public static class TwoPhaseCommitTool.CommitFailException
      extends IOException

  Thrown by `TwoPhaseCommitTool.execute(TwoPhaseCommit...)` when an object fails to commit().
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoPhaseCommitTool.CommitFailException(Throwable cause, TwoPhaseCommit obj)` Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TwoPhaseCommitTool.CommitFailException

          public TwoPhaseCommitTool.CommitFailException(Throwable cause,
                                                TwoPhaseCommit obj)

      Sole constructor.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.